RHS Feedback

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000134USAF[All Projects] Generalpublic2015-01-10 21:222015-07-26 16:34
ReporterSnippers 
Assigned ToMistyRonin 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.3.5 
Target Version0.4Fixed in Version0.3.8 
Summary0000134: ACRE2 and vehicle audio attenuation
DescriptionACRE2 uses vehicle config settings to determine the volume of local speech and if can be heard inside and outside of vehicles, for ACRE2 to be supported this requires appropriate config values.

The level of local speech volume attenuation is all dependant on the insideSoundCoef property of the vehicle.
Steps To Reproduce- Use RHS 3.5 and load CBA+RHS+ACRE2 with a buddy as well
- Spawn some humvees with the armed variants (M2/Mk19) variants. Hop inside with your buddy notice you can hear each other fine, now if one of you leaves you are both unable to hear each other unless you use the radio.
- Spawn some statics (m2/mk19 etc.) and have one of you hop on them and you will notice it lowers the volume you can hear from each other.
Additional InformationThe Chinooks and blackhawks seem to work 100% fine with this as they have a low attenuation property.
TagsNo tags attached.
Is it a wish/request?
RHS version
Arma 3 version
Did you used any other mod when the error occurred?
Which mods?
Attached Files

- Relationships
related to 0000881resolvedSoul_Assassin ACRE2 vehicle attention value for rhsusf_m998_w_2dr and rhsusf_m998_w_2dr_halftop 

-  Notes
(0000363)
MistyRonin (administrator)
2015-01-11 01:22

We will look into this.
(0000687)
jaynus (reporter)
2015-02-10 18:27

This is due to the insideSoundCoef values being incorrect. This is a vanilla sound setting that we use to determine vehicle position volumes.

This affects in-game sounds as well as ACRE, as you cannot hear outside engines or explosions from inside HMMV's either.
(0000858)
MistyRonin (administrator)
2015-03-01 04:20

Is it solved in 0.3.6?
(0000882)
Snippers (reporter)
2015-03-01 20:34

Just tested it with the humvees again, still not solved.
(0000890)
MistyRonin (administrator)
2015-03-02 13:06

T578
(0001044)
Sparfell_19 (reporter)
2015-03-23 18:42
edited on: 2015-04-18 20:57

I just quickly made a patch for my community.
Here is the content :
http://pastebin.com/drNY6Nsn [^]
I didn't test for M113 and BTRs yet, the other vehicles are OK, could certainly be adjusted more perfectly.
I hope you can integrate it in the next update, I saw you kinf of made your own attenutation system but I didn't know how to adapt it for ACRE.

(0001049)
jaynus (reporter)
2015-03-24 17:12

The above patch is definitely correct, and these values should be applied to all vehicles and released asap
(0001329)
BullHorn (reporter)
2015-05-04 12:16

Bump for urgency/visibility. This isn't just an ACRE2 bug obviously as the code is in RHS, it also affects TFAR and ACRE1.
(0001410)
Soul_Assassin (administrator)
2015-05-15 01:47

Thanks for the values. Added in next version.

- Issue History
Date Modified Username Field Change
2015-01-10 21:22 Snippers New Issue
2015-01-11 01:22 MistyRonin Note Added: 0000363
2015-01-11 01:22 MistyRonin Assigned To => MistyRonin
2015-01-11 01:22 MistyRonin Status new => acknowledged
2015-01-21 12:38 MistyRonin Product Version => 0.3.5
2015-01-21 12:38 MistyRonin Target Version => 0.4
2015-02-10 18:27 jaynus Note Added: 0000687
2015-03-01 04:20 MistyRonin Note Added: 0000858
2015-03-01 04:20 MistyRonin Status acknowledged => feedback
2015-03-01 20:34 Snippers Note Added: 0000882
2015-03-01 20:34 Snippers Status feedback => assigned
2015-03-02 13:06 MistyRonin Note Added: 0000890
2015-03-02 13:06 MistyRonin Status assigned => confirmed
2015-03-23 18:42 Sparfell_19 Note Added: 0001044
2015-03-23 18:50 Sparfell_19 Note Edited: 0001044 View Revisions
2015-03-24 17:12 jaynus Note Added: 0001049
2015-04-18 20:57 Sparfell_19 Note Edited: 0001044 View Revisions
2015-05-04 12:16 BullHorn Note Added: 0001329
2015-05-15 01:47 Soul_Assassin Note Added: 0001410
2015-05-15 01:47 Soul_Assassin Status confirmed => resolved
2015-05-15 01:47 Soul_Assassin Fixed in Version => 0.3.8
2015-05-15 01:47 Soul_Assassin Resolution open => fixed
2015-07-26 16:34 MistyRonin Relationship added related to 0000881


Copyright © 2000 - 2022 MantisBT Team
Powered by Mantis Bugtracker